Bug 210532 - NFS mounts fail on boot of system due to DNS queries not correct.
NFS mounts fail on boot of system due to DNS queries not correct.
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 15:04 EDT by MIdRange Support
Modified: 2013-04-30 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 05:21:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first trace (4.63 KB, application/octet-stream)
2006-10-12 15:04 EDT, MIdRange Support
no flags Details
second trace (4.99 KB, application/octet-stream)
2006-10-12 15:05 EDT, MIdRange Support
no flags Details

  None (edit)
Description MIdRange Support 2006-10-12 15:04:13 EDT
Description of problem:  When a system boots the first remote NFS filesystem 
is not being mounted properly


Version-Release number of selected component (if applicable):  bind-utils-
9.2.4-7_EL3


How reproducible:  Fairly consistant.


Steps to Reproduce:
1. reboot system.
2.
3.
  
Actual results:


Expected results:


Additional info:

Attached are 2 trace files.
In the first test the initial DNS request when I am not using fully qualified 
names it is not appending any domain names to the query.  In the second test 
when I am using fully qualified names it is appending the search domains to 
the end of the fully qualified names.  Both result in the initial request 
receiving a no such name response.

My /etc/resolv.conf for all tests

nameserver 160.129.6.22
nameserver 160.129.233.40
domain mc.vanderbilt.edu
search mc.vanderbilt.edu dhcp.mc.vanderbilt.edu mis.vanderbilt.edu 
vanderbilt.edu

+++++++++++++++++++++

initial /etc/fstab
/dev/vg00/LogVol00      /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/vg00/LogVol02      /home                   ext3    defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/vg00/LogVol03      /tmp                    ext3    defaults        1 2
/dev/vg00/LogVol04      /usr                    ext3    defaults        1 2
/dev/vg00/LogVol05      /var                    ext3    defaults        1 2
/dev/vg00/LogVol01      swap                    swap    defaults        0 0
LABEL=/app001           /app001                 ext3    defaults        1 2
celerra01_cge0:/Mid-Range_Export_DBA_Common   /common          nfs    
ro,tcp,retrans=9,soft 0 0
gambit.mc.vanderbilt.edu:/dbbackup                              /dbbackup      
  nfs    rw,tcp,retrans=9,soft 0 0
celerra01_cge0:/Mid-Range_Export_Home         /export/home     nfs    
rw,tcp,retrans=9,soft 0 0
celerra01_cge0:/Mid-Range_DBA_Backup          /orabackup       nfs    
rw,tcp,retrans=9,soft 0 0
celerra01_cge0:/Mid-Range_SW_Install          /software        nfs    
ro,tcp,retrans=9,soft 0 0
celerra01_cge0:/Mid-Range_Workbrain           /workbrain       nfs    
rw,tcp,retrans=9,soft 0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660 
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
gambit.mc.vanderbilt.edu:/dbbackup/devuat /dbbackup/devuat nfs 
rw,retrans=9,soft,tcp 0 0

+++++++++++++++++++++++++++++++

Second test /etc/fstab

/dev/vg00/LogVol00      /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/vg00/LogVol02      /home                   ext3    defaults        1 2
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/vg00/LogVol03      /tmp                    ext3    defaults        1 2
/dev/vg00/LogVol04      /usr                    ext3    defaults        1 2
/dev/vg00/LogVol05      /var                    ext3    defaults        1 2
/dev/vg00/LogVol01      swap                    swap    defaults        0 0
LABEL=/app001           /app001                 ext3    defaults        1 2
celerra01_cge0.mc.vanderbilt.edu:/Mid-
Range_Export_DBA_Common   /common          nfs    ro,tcp,retrans=9,soft 0 0
gambit.mc.vanderbilt.edu:/dbbackup                              /dbbackup      
  nfs    rw,tcp,retrans=9,soft 0 0
celerra01_cge0.mc.vanderbilt.edu:/Mid-
Range_Export_Home         /export/home     nfs    rw,tcp,retrans=9,soft 0 0
celerra01_cge0.mc.vanderbilt.edu:/Mid-
Range_DBA_Backup          /orabackup       nfs    rw,tcp,retrans=9,soft 0 0
celerra01_cge0.mc.vanderbilt.edu:/Mid-
Range_SW_Install          /software        nfs    ro,tcp,retrans=9,soft 0 0
celerra01_cge0.mc.vanderbilt.edu:/Mid-
Range_Workbrain           /workbrain       nfs    rw,tcp,retrans=9,soft 0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660 
noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
gambit.mc.vanderbilt.edu:/dbbackup/devuat /dbbackup/devuat nfs 
rw,retrans=9,soft,tcp 0 0
Comment 1 MIdRange Support 2006-10-12 15:04:20 EDT
Created attachment 138355 [details]
first trace
Comment 2 MIdRange Support 2006-10-12 15:05:34 EDT
Created attachment 138356 [details]
second trace
Comment 3 Adam Tkac 2007-01-22 12:10:46 EST
Could you tell me in which program I can analyze attached files? Thanks much
Comment 4 MIdRange Support 2007-01-22 12:26:22 EST
Ethereal,  sorry about that.
Comment 5 Adam Tkac 2007-02-01 11:26:34 EST
Could you please attach configuration file from affected DNS server and zone
configuration files?

Thanks much, Adam
Comment 6 Adam Tkac 2007-02-16 04:12:39 EST
Could you please attach files whose I need for deeper analysis? I don't believe
that this is a bug. I think this is your bad configuration (but I could be
wrong). If you don't attach them I can't fix it to rhel - 3.9

Regards, Adam
Comment 7 MIdRange Support 2007-02-16 11:00:17 EST
I am trying to get this from our network people.  I don't believe that it is  
a straight forward bind setup.  I believe that the DNS entries are store in a 
database.
Comment 8 Nicolas Barthelemy 2007-02-20 11:58:14 EST
Hi, seems to have the same issue. Sometime the first Nfs file system is not
properly mounted at boot time, but can be mounted later by a command line.
It can occur on REHL3 Update 5,6 and 7.

eg: mount /devtools 

extract of /etc/fstab
---------------------
cde-zfr11-nfs1:/vol/eda_atic/atic           /devtools   nfs 
tcp,timeo=600,hard,intr   0 0
cde-zfr11-nfs1:/vol/eda_proj/bg/proj        /proj       nfs  
tcp,timeo=600,hard,intr  0 0
cde-zfr11-nfs1:/vol/eda_cad/cad/site        /site       nfs 
tcp,timeo=600,hard,intr   0 0
cde-zfr11-nfs1:/vol/eda_project/bg/project  /project    nfs  
tcp,timeo=600,hard,intr  0 0
cde-zfr11-nfs1:/vol/eda_misc/doc            /projectdoc  nfs 
tcp,timeo=600,hard,intr  0 0
cde-zfr11-nfs1:/vol/eda_sync/sync/custom    /sync/custom nfs 
tcp,timeo=600,hard,intr  0 0
cde-zfr11-nfs1:/vol/eda_sync/sync/vault     /sync/vault  nfs 
tcp,timeo=600,hard,intr  0 0

extract of /etc/nsswitch.conf
-----------------------------
passwd:     nis files nisplus
group:      nis files nisplus
hosts:      files nis dns

extract of resolv.conf
----------------------
;domain ea.freescale.net
search ea.freescale.net am.freescale.net ap.freescale.net freescale.net
sps.mot.com corp.mot.com mot.com

Please can you explain me how to use ethereal to capture network traffic during
boot sequence, specifically during Nfs service start, to check any DNS issue.

Best regards, Nicolas
 
Comment 9 MIdRange Support 2007-02-20 13:27:07 EST
The network trace was captured by our network people, not from the server that 
was booting.
Comment 10 Adam Tkac 2007-03-05 12:42:06 EST
I'm not able reproduce this bug. I tried it with this configuration:
- /etc/fstab
  - I've added this lines
    knedlo:/mnt/store /mnt/store nfs defaults 0 0
    knedlo:/mnt/store/mirror /mnt/store/mirror nfs defaults 0 0

- /etc/resolv.conf
  search localdomain
  nameserver 127.0.0.1

- I've add knedlo's IP to localdomain zone file

Then I reboot and both network filesystems were mounted correctly. Could you
point me what exactly you have configured different, please?

Regards, Adam
Comment 11 Adam Tkac 2007-03-27 08:02:16 EDT
Any feedback here? If not I'm not able to fix it in RHEL3-U9.

Regards, -A-
Comment 12 Adam Tkac 2007-06-29 05:21:44 EDT
RHEL 3 is in maintenance stage now. Only critical bugs + security issues will be
closed. If you insist on fix, please reopen this bug.

Regards, Adam

Note You need to log in before you can comment on or make changes to this bug.